org.springframework.batch.item.database.support

## Class SqlServerPagingQueryProvider

- java.lang.Object
- - org.springframework.batch.item.database.support.AbstractSqlPagingQueryProvider
  - - org.springframework.batch.item.database.support.SqlWindowingPagingQueryProvider
    - - org.springframework.batch.item.database.support.SqlServerPagingQueryProvider

- All Implemented Interfaces:
    PagingQueryProvider

      public class SqlServerPagingQueryProvider
      extends SqlWindowingPagingQueryProvider

  SQL Server implementation of a `PagingQueryProvider` using database specific features.
  Since:
    2.0
  Author:
    Thomas Risberg, Michael Minella

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SqlServerPagingQueryProvider()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `generateFirstPageQuery(int pageSize)` Method generating the query string to be used for retrieving the first page.
    `java.lang.String` | `generateRemainingPagesQuery(int pageSize)` Method generating the query string to be used for retrieving the pages following the first page.
    `protected java.lang.Object` | `getSubQueryAlias()`

    - ### Methods inherited from class org.springframework.batch.item.database.support.SqlWindowingPagingQueryProvider

      `extractTableAlias, generateJumpToItemQuery, getOrderedQueryAlias, getOverClause, getOverSubstituteClauseEnd, getOverSubstituteClauseStart`

    - ### Methods inherited from class org.springframework.batch.item.database.support.AbstractSqlPagingQueryProvider

      `getFromClause, getGroupClause, getParameterCount, getSelectClause, getSortKeyPlaceHolder, getSortKeys, getSortKeysWithoutAliases, getWhereClause, init, isUsingNamedParameters, setFromClause, setGroupClause, setSelectClause, setSortKeys, setWhereClause`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SqlServerPagingQueryProvider

          public SqlServerPagingQueryProvider()

  - ### Method Detail

    - #### generateFirstPageQuery

          public java.lang.String generateFirstPageQuery(int pageSize)

      Description copied from class: `AbstractSqlPagingQueryProvider`
      Method generating the query string to be used for retrieving the first page. This method must be implemented in sub classes.
      Specified by:
        `generateFirstPageQuery` in interface `PagingQueryProvider`
      Overrides:
        `generateFirstPageQuery` in class `SqlWindowingPagingQueryProvider`
      Parameters:
        `pageSize` - number of rows to read per page
      Returns:
        query string

    - #### generateRemainingPagesQuery

          public java.lang.String generateRemainingPagesQuery(int pageSize)

      Description copied from class: `AbstractSqlPagingQueryProvider`
      Method generating the query string to be used for retrieving the pages following the first page. This method must be implemented in sub classes.
      Specified by:
        `generateRemainingPagesQuery` in interface `PagingQueryProvider`
      Overrides:
        `generateRemainingPagesQuery` in class `SqlWindowingPagingQueryProvider`
      Parameters:
        `pageSize` - number of rows to read per page
      Returns:
        query string

    - #### getSubQueryAlias

          protected java.lang.Object getSubQueryAlias()

      Overrides:
        `getSubQueryAlias` in class `SqlWindowingPagingQueryProvider`